<?php
class CR_customers {

  function __construct() {
    if(file_exists('core/models/model.customers.php')) {
      include 'core/models/model.customers.php';
    } else {
      $GLOBALS['log']->Log('ERROR',
        'Fichero "model.customers.php" no encontrado.');
      die();
    }
  }

  function Show(){
    $GLOBALS['smarty']->assign('dictionary', $GLOBALS['dictionary']);
    $GLOBALS['smarty']->assign('beans', $this->getBeanList());
    $GLOBALS['smarty']->display('views/' . $GLOBALS['config']['theme']
      . '/tpl/customer.list.tpl');
  }

  function ShowEdit(){
    $GLOBALS['smarty']->assign('dictionary', $GLOBALS['dictionary']);

    if(isset($_REQUEST['beanid']) && !empty($_REQUEST['beanid'])){
      $GLOBALS['smarty']->assign('bean', $this->getBean());
    }

    $GLOBALS['smarty']->display('views/' . $GLOBALS['config']['theme']
      . '/tpl/customer.edit.tpl');
  }

  function ShowDetail($id = ''){
    $related = $this->getRelatedBeans($id);

    $GLOBALS['smarty']->assign('dictionary', $GLOBALS['dictionary']);
    $GLOBALS['smarty']->assign('bean', $this->getBean($id));
    $GLOBALS['smarty']->assign('vehicles', $related['vehicles']);
    $GLOBALS['smarty']->assign('dates', $related['dates']);
    $GLOBALS['smarty']->assign('reminders', $related['reminders']);
    $GLOBALS['smarty']->assign('services', $related['services']);
    $GLOBALS['smarty']->assign('quotes', $related['quotes']);
    $GLOBALS['smarty']->display('views/' . $GLOBALS['config']['theme']
      . '/tpl/customer.detail.tpl');
  }

  function newBean(){
    $customer = new customers();

    $id = $customer->newBean($_POST);

    $this->ShowDetail($id);
  }

  function getBeanList(){
    $customer = new customers();

    $retorno = $customer->getBeanList();

    return $retorno;
  }

  function getBean($id = ''){
    $customer = new customers();

    if(isset($_REQUEST['beanid']) && !empty($_REQUEST['beanid'])){
      $retorno = $customer->getBean($_REQUEST['beanid']);
    } else {
      $retorno = $customer->getBean($id);
    }

    return $retorno;
  }

  function deleteBean(){
    if(isset($_REQUEST['beanid']) && !empty($_REQUEST['beanid'])){
      $customer = new customers();

      $retorno = $customer->deleteBean($_REQUEST['beanid']);
    }else{
      $GLOBALS['log']->Log('ERROR',
        'No se ha especificado ID de Bean para ser eliminado.');
      die();
    }

    echo json_encode($retorno);
  }

  function getRelatedBeans($id = ''){
    if(file_exists('core/models/model.vehicles.php')) {
      include 'core/models/model.vehicles.php';
    } else {
      $GLOBALS['log']->Log('ERROR',
        'Fichero "model.vehicles.php" no encontrado.');
      die();
    }
    if(file_exists('core/models/model.dates.php')) {
      include 'core/models/model.dates.php';
    } else {
      $GLOBALS['log']->Log('ERROR',
        'Fichero "model.dates.php" no encontrado.');
      die();
    }
    if(file_exists('core/models/model.reminders.php')) {
      include 'core/models/model.reminders.php';
    } else {
      $GLOBALS['log']->Log('ERROR',
        'Fichero "model.reminders.php" no encontrado.');
      die();
    }
    if(file_exists('core/models/model.services.php')) {
      include 'core/models/model.services.php';
    } else {
      $GLOBALS['log']->Log('ERROR',
        'Fichero "model.services.php" no encontrado.');
      die();
    }
    if(file_exists('core/models/model.quotes.php')) {
      include 'core/models/model.quotes.php';
    } else {
      $GLOBALS['log']->Log('ERROR',
        'Fichero "model.quotes.php" no encontrado.');
      die();
    }

    $vehicles  = new vehicles();
    $dates     = new dates();
    $reminders = new reminders();
    $services  = new services();
    $quotes  = new quotes();

    if(isset($_REQUEST['beanid']) && !empty($_REQUEST['beanid'])){
      $vehiclesList = $vehicles->getBeanList('id_customer = "'
        . $_REQUEST['beanid'] . '"');

      $datesList = $dates->getBeanList('id_customer = "'
        . $_REQUEST['beanid'] . '"');

      $remindersList = $reminders->getBeanList('id_customer = "'
        . $_REQUEST['beanid'] . '"');

      $servicesList = $services->getBeanList('id_customer = "'
        . $_REQUEST['beanid'] . '"');

      $quotesList = $quotes->getBeanList('id_customer = "'
        . $_REQUEST['beanid'] . '"');
    } else {
      $vehiclesList = $vehicles->getBeanList('id_customer = "'
        . $id . '"');

      $datesList = $dates->getBeanList('id_customer = "'
        . $id . '"');

      $remindersList = $reminders->getBeanList('id_customer = "'
        . $id . '"');

      $servicesList = $services->getBeanList('id_customer = "'
        . $id . '"');

      $quotesList = $quotes->getBeanList('id_customer = "'
        . $id . '"');
    }

    return array(
      'vehicles' => $vehiclesList,
      'dates' => $datesList,
      'reminders' => $remindersList,
      'services' => $servicesList,
      'quotes' => $quotesList,
    );
  }
}
?>
