<?php
class CR_items {

  function __construct() {
    if(file_exists('core/models/model.items.php')) {
      include 'core/models/model.items.php';
    } else {
      $GLOBALS['log']->Log('ERROR',
        'Fichero "model.items.php" no encontrado.');
      die();
    }
  }

  function Show(){
    $GLOBALS['smarty']->assign('dictionary', $GLOBALS['dictionary']);
    $GLOBALS['smarty']->assign('beans', $this->getBeanList());
    $GLOBALS['smarty']->display('views/' . $GLOBALS['config']['theme']
      . '/tpl/items.list.tpl');
  }

  function ShowEdit(){
    if(isset($_REQUEST['beanid']) && !empty($_REQUEST['beanid'])){
      $bean = $this->getBean();

      $GLOBALS['smarty']->assign('bean', $bean);
    }

    $ListHTML = $this->getHTMLLists($bean['type']);

    $GLOBALS['smarty']->assign('dictionary', $GLOBALS['dictionary']);
    $GLOBALS['smarty']->assign('ListHTML', $ListHTML);
    $GLOBALS['smarty']->display('views/' . $GLOBALS['config']['theme']
      . '/tpl/items.edit.tpl');
  }

  function ShowDetail($id = ''){
    $bean = $this->getBean($id);

    $GLOBALS['smarty']->assign('dictionary', $GLOBALS['dictionary']);
    $GLOBALS['smarty']->assign('bean', $bean);
    $GLOBALS['smarty']->display('views/' . $GLOBALS['config']['theme']
      . '/tpl/items.detail.tpl');
  }

  function getBean($id = ''){
    $item = new items();

    if(isset($_REQUEST['beanid']) && !empty($_REQUEST['beanid'])){
      $retorno = $item->getBean($_REQUEST['beanid']);
    } else {
      $retorno = $item->getBean($id);
    }

    return $retorno;
  }

  function newBean(){
    $item = new items();

    $id = $item->newBean($_POST);

    $this->ShowDetail($id);
  }

  function deleteBean(){
    if(isset($_REQUEST['beanid']) && !empty($_REQUEST['beanid'])){
      $item = new items();

      $retorno = $item->deleteBean($_REQUEST['beanid']);
    }else{
      $GLOBALS['log']->Log('ERROR',
        'No se ha especificado ID de Bean para ser eliminado.');
      die();
    }

    echo json_encode($retorno);
  }

  function getBeanList(){
    $item = new items();

    $retorno = $item->getBeanList();

    return $retorno;
  }

  function getHTMLLists($id){
    $typesList = array (
      array('id' => 'Articulo', 'name' => 'Articulo'),
      array('id' => 'Servicio', 'name' => 'Servicio'),
    );

    $html = '<option value=""></option>';

    foreach($typesList as $list){
      $selected = '';

      if($list['id'] == $id)
      {
        $selected = 'selected';
      }

      $html .= '<option value="'.$list['id'].'" '.$selected.'>'.$list['name'].'</option>';
    }

    return $html;
  }

  function getHTMLoption()
  {
    $items = $this->getBeanList();

    $html = '<option value=""></option>';

    foreach($items as $list){
      $html .= '<option value="'.$list['id'].'">'.$list['name'].'</option>';
    }

    return $html;
  }

  function getHTMLjson()
  {
    $items = $this->getBeanList();

    $array = array();
    foreach($items as $list){
      $array[$list['id']] = array(
        'name' => $list['name'],
        'price' => $list['price']
      );
    }

    return json_encode($array);
  }
}
?>
