<?php
class CR_quotes {

  function __construct() {
    if(file_exists('core/models/model.quotes.php')) {
      include 'core/models/model.quotes.php';
    } else {
      $GLOBALS['log']->Log('ERROR',
        'Fichero "model.quotes.php" no encontrado.');
      die();
    }

    if(file_exists('core/controllers/controller.items.php')) {
      include 'core/controllers/controller.items.php';
    } else {
      $GLOBALS['log']->Log('ERROR',
        'Fichero "controller.items.php" no encontrado.');
      die();
    }

    if(file_exists('core/controllers/controller.item_quote_invoice.php')) {
      include 'core/controllers/controller.item_quote_invoice.php';
    } else {
      $GLOBALS['log']->Log('ERROR',
        'Fichero "controller.item_quote_invoice.php" no encontrado.');
      die();
    }
  }

  function Show(){
    $GLOBALS['smarty']->assign('dictionary', $GLOBALS['dictionary']);
    $GLOBALS['smarty']->assign('beans', $this->getBeanList());
    $GLOBALS['smarty']->display('views/' . $GLOBALS['config']['theme']
      . '/tpl/quotes.list.tpl');
  }

  function ShowEdit(){
    $items = new CR_items();

    if(isset($_REQUEST['beanid']) && !empty($_REQUEST['beanid'])){
      $bean = $this->getBean();

      $GLOBALS['smarty']->assign('bean', $bean);
    }

    $Customerlists = $this->getcustomerHTMLLists($bean['id_customer']);
    $itemsLists = $this->getitemsHTMLLists();

    $GLOBALS['smarty']->assign('item_list', $items->getHTMLoption());
    $GLOBALS['smarty']->assign('item_list_json', $items->getHTMLjson());
    $GLOBALS['smarty']->assign('dictionary', $GLOBALS['dictionary']);
    $GLOBALS['smarty']->assign('customerHTMLlist', $Customerlists);
    $GLOBALS['smarty']->assign('itemHTMLlist', $itemsLists['html']);
    $GLOBALS['smarty']->assign('totalItems', $itemsLists['total']);
    $GLOBALS['smarty']->display('views/' . $GLOBALS['config']['theme']
      . '/tpl/quotes.edit.tpl');
  }

  function ShowDetail($id = ''){
    $bean = $this->getBean($id);

    $CustomerBean = $this->getCustomerBean($bean['id_customer']);
    $itemList = $this->getItemsList($id);

    $GLOBALS['smarty']->assign('dictionary', $GLOBALS['dictionary']);
    $GLOBALS['smarty']->assign('bean', $bean);
    $GLOBALS['smarty']->assign('customer', $CustomerBean);
    $GLOBALS['smarty']->assign('items', $itemList);
    $GLOBALS['smarty']->display('views/' . $GLOBALS['config']['theme']
    . '/tpl/quotes.detail.tpl');
  }

  function getBean($id = ''){
    $quote = new quotes();

    if(isset($_REQUEST['beanid']) && !empty($_REQUEST['beanid'])){
      $retorno = $quote->getBean($_REQUEST['beanid']);
    } else {
      $retorno = $quote->getBean($id);
    }

    return $retorno;
  }

  function newBean(){
    $quote = new quotes();
    $item_quote_invoice = new CR_item_quote_invoice();

    $id = $quote->newBean($_POST);

    $items = array();
    for($i = 0; $i < $_POST['item_total']; $i++){
      if(isset($_POST['item_id_'.$i])){
        if(!empty($_POST['item_id_'.$i]) && !empty($_POST['item_quantity_'.$i]) && !empty($_POST['item_price_'.$i])){
          $items[] = array(
            'id_item' => $_POST['item_id_'.$i],
            'quantity' => str_replace(",",".", $_POST['item_quantity_'.$i]),
            'price' => str_replace(",",".", $_POST['item_price_'.$i]),
            'id_quote_invoice' => $id
          );
        }
      }
    }

    if(!empty($items)){
      if($item_quote_invoice->resetBean($id)){
        $item_quote_invoice->newBean($items);
      }
    }

    $this->ShowDetail($id);
  }

  function getCustomerBean($id = ''){
    if(file_exists('core/models/model.customers.php')) {
      include 'core/models/model.customers.php';
    } else {
      $GLOBALS['log']->Log('ERROR',
        'Fichero "model.customers.php" no encontrado.');
      die();
    }

    $customers  = new customers();

    if(isset($_REQUEST['id_customer']) && !empty($_REQUEST['id_customer'])){
      $CustomerBean = $customers->getBean($_REQUEST['beanid']);
    } else {
      $CustomerBean = $customers->getBean($id);
    }

    return $CustomerBean;
  }

  function deleteBean(){
    if(isset($_REQUEST['beanid']) && !empty($_REQUEST['beanid'])){
      $quote = new quotes();

      $retorno = $quote->deleteBean($_REQUEST['beanid']);
    }else{
      $GLOBALS['log']->Log('ERROR',
        'No se ha especificado ID de Bean para ser eliminado.');
      die();
    }

    echo json_encode($retorno);
  }

  function getBeanList(){
    $quote = new quotes();

    $retorno = $quote->getBeanList();

    return $retorno;
  }

  function getItemsList($id = ""){
    if(file_exists('core/models/model.item_quote_invoice.php')) {
      include 'core/models/model.item_quote_invoice.php';
    } else {
      $GLOBALS['log']->Log('ERROR',
        'Fichero "model.item_quote_invoice.php" no encontrado.');
      die();
    }

    $items = new item_quote_invoice();

    if(isset($_REQUEST['beanid']) && !empty($_REQUEST['beanid'])){
      $itemsList = $items->getBeanList($_REQUEST['beanid']);
    } else {
      $itemsList = $items->getBeanList($id);
    }

    return $itemsList;
  }

  function getcustomerHTMLLists($id = ""){
    if(file_exists('core/models/model.customers.php')) {
      include 'core/models/model.customers.php';
    } else {
      $GLOBALS['log']->Log('ERROR',
        'Fichero "model.customers.php" no encontrado.');
      die();
    }

    $customers = new customers();
    $customersList = $customers->getBeanList();

    $htmlCustomer = '<option value=""></option>';

    foreach($customersList as $list){
      $selected = '';

      if($list['id'] == $id)
      {
        $selected = 'selected';
      }

      $htmlCustomer .= '<option value="'.$list['id'].'" '.$selected.'>'.$list['name'].'</option>';
    }

    return $htmlCustomer;
  }

  function getitemsHTMLLists($id = ""){
    $item = new items();
    $ItemsList = $item->getBeanList();
    $SelectedItemsList = $this->getItemsList($id);

    $i = 0; $htmlItem = '';
    foreach($SelectedItemsList as $selecteditem){
      $htmlItem .= '<div class="w3-twothird" style="padding: 5px;" id="item_'.$i.'"><select class="w3-border" style="width: 40%;" id="item_id_'.$i.'" name="item_id_'.$i.'" onchange="updateItems();"><option value=""></option>';

      foreach($ItemsList as $item){
        $selected = '';

        if($selecteditem['id_item'] == $item['id'])
        {
          $selected = 'selected';
        }

        $htmlItem .= '<option value="'.$item['id'].'" '.$selected.'>'.$item['name'].'</option>';
      }
      $htmlItem .= '</select><input class="w3-border" style="width: 20%;" id="item_quantity_'.$i.'" value="'.$selecteditem['quantity'].'" name="item_quantity_'.$i.'" onchange="updateItems();" type="text">
                    <input class="w3-border" style="width: 20%;" id="item_price_'.$i.'" value="'.$selecteditem['price'].'" name="item_price_'.$i.'" type="text"><a onclick="removeItem('.$i.');" class="w3-bar-item w3-button w3-red"><i class="fa fa-minus"></i></a></div>';

      $i++;
    }

    return array(
      'total' => $i,
      'html' => $htmlItem
    );
  }

  function AgreeQuote() {
    if(isset($_REQUEST['beanid']) && !empty($_REQUEST['beanid'])){
      $quote = new quotes();

      $retorno = $quote->AgreeQuote($_REQUEST['beanid']);
    }else{
      $GLOBALS['log']->Log('ERROR',
        'No se ha especificado ID de Bean para ser aprobado.');
      die();
    }

    echo json_encode($retorno);
  }

  function CancelQuote() {
    if(isset($_REQUEST['beanid']) && !empty($_REQUEST['beanid'])){
      $quote = new quotes();

      $retorno = $quote->CancelQuote($_REQUEST['beanid']);
    }else{
      $GLOBALS['log']->Log('ERROR',
        'No se ha especificado ID de Bean para ser aprobado.');
      die();
    }

    echo json_encode($retorno);
  }

  function generatePDF(){
    if(isset($_REQUEST['beanid']) && !empty($_REQUEST['beanid'])){
      $bean = $this->getBean($_REQUEST['beanid']);

      if(file_exists('core/models/model.customers.php')) {
        include 'core/models/model.customers.php';
      } else {
        $GLOBALS['log']->Log('ERROR',
          'Fichero "model.customers.php" no encontrado.');
        die();
      }

      $customers = new customers();
      $customerBean = $customers->getBean($bean['id_customer']);

      $itemsList = $this->getItemsList();

      // Incluimos la libreria TCPDF
      include 'core/include/tcpdf/tcpdf.php';

      // Creamos un nuevo documento PDF
      $pdf = new TCPDF(PDF_PAGE_ORIENTATION, PDF_UNIT, PDF_PAGE_FORMAT, true, 'UTF-8', false);
      $pdf->AddPage();

      $html = '<table>
                  <tr>
                    <td><br><br><h1>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Presupuesto</h1></td>
                    <td style="text-align: center;"><img src="views/default/image/logo.png" alt="Company Logo" height="90" width="115"> </td>
                  </tr>
                  <tr>
                    <td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<b>Taller Mecánico SL</b><br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Alcoy (Alicante), 03800<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;www.tallermecanico.com</td>
                    <td></td>
                  </tr>
                </table>
                <br><br><br><br>
                &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                <table width="87%" cellpadding="6">
                  <tr>
                    <td colspan="2" border="1">DATOS DEL CLIENTE</td>
                  </tr>
                  <tr>
                    <td>
                      <br><br>
                      Nombre: ' . $customerBean['fist_name'] . ' ' . $customerBean['last_name'] . '<br>
                      Teléfono: ' . $customerBean['phone_home'] . '<br>
                      Email: ' . $customerBean['email_address'] . '
                    </td>
                    <td>
                      <br><br>
                      Calle: ' . $customerBean['address_street'] . '<br>
                      Ciudad: ' . $customerBean['address_city'] . '<br>
                      Provincia: ' . $customerBean['address_state'] . '<br>
                      Código Postal: ' . $customerBean['address_postalcode'] . '<br>
                      Pais: ' . $customerBean['address_country'] . '
                    </td>
                  </tr>
                </table>
                <br><br><br><br><br><br>
                &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                <table cellspacing="8" width="90%">
                  <tr>
                    <td border="1" style="text-align: center;">Item</td>
                    <td border="1" style="text-align: center;">Descripción</td>
                    <td border="1" style="text-align: center;">Cantidad</td>
                    <td border="1" style="text-align: center;">Precio</td>
                  </tr>';

                foreach($itemsList as $item){
                  $html .= '<tr>
                    <td style="text-align: center;">' . $item['name'] . '</td>
                    <td style="text-align: center;"></td>
                    <td style="text-align: center;">' . $item['quantity'] . '</td>
                    <td style="text-align: center;">' . $item['price'] . ' €</td>
                  </tr>';
                }

    $html .= '    <tr>
                    <td colspan="4"></td>
                  </tr>
                  <tr>
                    <td colspan="4"></td>
                  </tr>
                  <tr>
                    <td colspan="2"></td>
                    <td border="1" style="text-align: right;">TOTAL&nbsp;&nbsp;</td>
                    <td border="1" style="text-align: center;">' . $bean['total'] . ' €</td>
                  </tr>
                  <tr>
                    <td colspan="2"></td>
                    <td border="1" style="text-align: right;">IVA&nbsp;&nbsp;</td>
                    <td border="1" style="text-align: center;">' . $bean['tax'] . '%</td>
                  </tr>
                  <tr>
                    <td colspan="2"></td>
                    <td border="1" style="text-align: right;"><b>TOTAL (IVA)&nbsp;&nbsp;</b></td>
                    <td border="1" style="text-align: center;"><b>' . $bean['grand_total'] . ' €</b></td>
                  </tr>
                </table>';

      $pdf->writeHTML($html, true, false, true, false, '');
      $pdf->Output('example_006.pdf', 'I');
    }else{
      $GLOBALS['log']->Log('ERROR',
        'No se ha especificado ID de Bean para mostrar el PDF.');
      die();
    }
  }
}
?>
