<?php
class CR_reminders {

  function __construct() {
    if(file_exists('core/models/model.reminders.php')) {
      include 'core/models/model.reminders.php';
    } else {
      $GLOBALS['log']->Log('ERROR',
        'Fichero "model.reminders.php" no encontrado.');
      die();
    }
  }

  function Show(){
    $GLOBALS['smarty']->assign('dictionary', $GLOBALS['dictionary']);
    $GLOBALS['smarty']->assign('beans', $this->getBeanList());
    $GLOBALS['smarty']->display('views/' . $GLOBALS['config']['theme']
      . '/tpl/reminders.list.tpl');
  }

  function ShowEdit(){
    if(isset($_REQUEST['beanid']) && !empty($_REQUEST['beanid'])){
      $bean = $this->getBean();

      $GLOBALS['smarty']->assign('bean', $bean);
    }

    $lists = $this->getHTMLLists($bean['id_customer']);

    $GLOBALS['smarty']->assign('dictionary', $GLOBALS['dictionary']);
    $GLOBALS['smarty']->assign('customerHTMLlist', $lists['customers']);
    $GLOBALS['smarty']->display('views/' . $GLOBALS['config']['theme']
      . '/tpl/reminders.edit.tpl');
  }

  function ShowDetail($id = ''){
    $bean = $this->getBean($id);
    $CustomerBean = $this->getCustomerBean($bean['id_customer']);

    $GLOBALS['smarty']->assign('dictionary', $GLOBALS['dictionary']);
    $GLOBALS['smarty']->assign('bean', $bean);
    $GLOBALS['smarty']->assign('customer', $CustomerBean);
    $GLOBALS['smarty']->display('views/' . $GLOBALS['config']['theme']
      . '/tpl/reminders.detail.tpl');
  }

  function getBean($id = ''){
    $reminder = new reminders();

    if(isset($_REQUEST['beanid']) && !empty($_REQUEST['beanid'])){
      $retorno = $reminder->getBean($_REQUEST['beanid']);
    } else {
      $retorno = $reminder->getBean($id);
    }

    return $retorno;
  }

  function newBean(){
    $reminder = new reminders();

    $id = $reminder->newBean($_POST);

    $this->ShowDetail($id);
  }

  function deleteBean(){
    if(isset($_REQUEST['beanid']) && !empty($_REQUEST['beanid'])){
      $reminder = new reminders();

      $retorno = $reminder->deleteBean($_REQUEST['beanid']);
    }else{
      $GLOBALS['log']->Log('ERROR',
        'No se ha especificado ID de Bean para ser eliminado.');
      die();
    }

    echo json_encode($retorno);
  }

  function getBeanList(){
    $reminder = new reminders();

    $retorno = $reminder->getBeanList();

    return $retorno;
  }

  function getCustomerBean($id){
    if(file_exists('core/models/model.customers.php')) {
      include 'core/models/model.customers.php';
    } else {
      $GLOBALS['log']->Log('ERROR',
        'Fichero "model.customers.php" no encontrado.');
      die();
    }

    $customers  = new customers();

    if(isset($_REQUEST['id_customer']) && !empty($_REQUEST['id_customer'])){
      $CustomerBean = $customers->getBean($_REQUEST['beanid']);
    } else {
      $CustomerBean = $customers->getBean($id);
    }

    return $CustomerBean;
  }

  function getHTMLLists($id){
    if(file_exists('core/models/model.customers.php')) {
      include 'core/models/model.customers.php';
    } else {
      $GLOBALS['log']->Log('ERROR',
        'Fichero "model.customers.php" no encontrado.');
      die();
    }

    $customers = new customers();
    $customersList = $customers->getBeanList();

    $html = '<option value=""></option>';

    foreach($customersList as $list){
      $selected = '';

      if($list['id'] == $id)
      {
        $selected = 'selected';
      }

      $html .= '<option value="'.$list['id'].'" '.$selected.'>'.$list['name'].'</option>';
    }

    return array('customers' => $html);
  }
}

?>
