<?php
class CR_services {

  function __construct() {
    if(file_exists('core/models/model.services.php')) {
      include 'core/models/model.services.php';
    } else {
      $GLOBALS['log']->Log('ERROR',
        'Fichero "model.services.php" no encontrado.');
      die();
    }
  }

  function Show(){
    $GLOBALS['smarty']->assign('dictionary', $GLOBALS['dictionary']);
    $GLOBALS['smarty']->assign('beans', $this->getBeanList());
    $GLOBALS['smarty']->display('views/' . $GLOBALS['config']['theme']
      . '/tpl/service.list.tpl');
  }


  function ShowEdit(){
    if(isset($_REQUEST['beanid']) && !empty($_REQUEST['beanid'])){
      $bean = $this->getBean();

      $GLOBALS['smarty']->assign('bean', $bean);
    }

    $lists = $this->getHTMLLists($bean['id_customer'], $bean['id_vehicle'],
                                $bean['status'], $bean['type']);

    $GLOBALS['smarty']->assign('dictionary', $GLOBALS['dictionary']);
    $GLOBALS['smarty']->assign('customerHTMLlist', $lists['customers']);
    $GLOBALS['smarty']->assign('vehicleHTMLlist', $lists['vehicles']);
    $GLOBALS['smarty']->assign('statusHTMLlist', $lists['status']);
    $GLOBALS['smarty']->assign('typeHTMLlist', $lists['type']);

    $GLOBALS['smarty']->display('views/' . $GLOBALS['config']['theme']
      . '/tpl/service.edit.tpl');
  }

  function ShowDetail($id = ''){
    $bean = $this->getBean($id);
    $CustomerBean = $this->getCustomerBean($bean['id_customer']);

    $GLOBALS['smarty']->assign('dictionary', $GLOBALS['dictionary']);
    $GLOBALS['smarty']->assign('bean', $bean);
    $GLOBALS['smarty']->assign('customer', $CustomerBean);
    $GLOBALS['smarty']->display('views/' . $GLOBALS['config']['theme']
      . '/tpl/service.detail.tpl');
  }

  function newBean(){
    $service = new services();

    $id = $service->newBean($_POST);

    $this->ShowDetail($id);
  }

  function getBean($id = ''){
    $service = new services();

    if(isset($_REQUEST['beanid']) && !empty($_REQUEST['beanid'])){
      $retorno = $service->getBean($_REQUEST['beanid']);
    } else {
      $retorno = $service->getBean($id);
    }

    return $retorno;
  }

  function getBeanList(){
    $service = new services();

    $retorno = $service->getBeanList();

    return $retorno;
  }

  function deleteBean(){
    if(isset($_REQUEST['beanid']) && !empty($_REQUEST['beanid'])){
      $service = new services();

      $retorno = $service->deleteBean($_REQUEST['beanid']);
    }else{
      $GLOBALS['log']->Log('ERROR',
        'No se ha especificado ID de Bean para ser eliminado.');
      die();
    }

    echo json_encode($retorno);
  }

  function getCustomerBean($id){
    if(file_exists('core/models/model.customers.php')) {
      include 'core/models/model.customers.php';
    } else {
      $GLOBALS['log']->Log('ERROR',
        'Fichero "model.customers.php" no encontrado.');
      die();
    }

    $customers  = new customers();

    if(isset($_REQUEST['id_customer']) && !empty($_REQUEST['id_customer'])){
      $CustomerBean = $customers->getBean($_REQUEST['beanid']);
    } else {
      $CustomerBean = $customers->getBean($id);
    }

    return $CustomerBean;
  }

  function getHTMLLists($idCustomer, $idVehicle, $idStatus, $idType){
    if(file_exists('core/models/model.customers.php')) {
      include 'core/models/model.customers.php';
    } else {
      $GLOBALS['log']->Log('ERROR',
        'Fichero "model.customers.php" no encontrado.');
      die();
    }
    if(file_exists('core/models/model.vehicles.php')) {
      include 'core/models/model.vehicles.php';
    } else {
      $GLOBALS['log']->Log('ERROR',
        'Fichero "model.vehicles.php" no encontrado.');
      die();
    }

    $listReturn = array();

    $customers = new customers();
    $vehicles = new vehicles();
    $customersList = $customers->getBeanList();
    $vehiclesList = $vehicles->getBeanList();
    $statusList = array (
      array('id' => 'Nuevo', 'name' => 'Nuevo'),
      array('id' => 'En Proceso', 'name' => 'En Proceso'),
      array('id' => 'Finalizado', 'name' => 'Finalizado'),
    );
    $typesList = array (
      array('id' => 'Mecánica', 'name' => 'Mecánica'),
      array('id' => 'Diagnóstico', 'name' => 'Diagnóstico'),
      array('id' => 'Inyección', 'name' => 'Inyección'),
      array('id' => 'PRE-ITV', 'name' => 'PRE-ITV'),
      array('id' => 'Bateria', 'name' => 'Bateria'),
      array('id' => 'Correas', 'name' => 'Correas'),
      array('id' => 'Chapa y Pintura', 'name' => 'Chapa y Pintura'),
      array('id' => 'Frenos y ABS', 'name' => 'Frenos y ABS'),
      array('id' => 'Equilibrado y Alineación', 'name' => 'Equilibrado y Alineación'),
      array('id' => 'Suspensión', 'name' => 'Suspensión'),
      array('id' => 'Aceite Y Filtros', 'name' => 'Aceite Y Filtros'),
      array('id' => 'Neumáticos', 'name' => 'Neumáticos'),
    );

    $html = '<option value=""></option>';
    foreach($customersList as $list){
      $selected = '';

      if($list['id'] == $idCustomer)
      {
        $selected = 'selected';
      }

      $html .= '<option value="'.$list['id'].'" '.$selected.'>'.$list['name'].'</option>';
    }
    $listReturn['customers'] = $html;

    $html = '<option value=""></option>';
    foreach($vehiclesList as $list){
      $selected = '';

      if($list['id'] == $idVehicle)
      {
        $selected = 'selected';
      }

      $html .= '<option value="'.$list['id'].'" '.$selected.'>'.$list['vehicle_number'].'</option>';
    }
    $listReturn['vehicles'] = $html;

    $html = '<option value=""></option>';
    foreach($statusList as $list){
      $selected = '';

      if($list['id'] == $idStatus)
      {
        $selected = 'selected';
      }

      $html .= '<option value="'.$list['id'].'" '.$selected.'>'.$list['name'].'</option>';
    }
    $listReturn['status'] = $html;

    $html = '<option value=""></option>';
    foreach($typesList as $list){
      $selected = '';

      if($list['id'] == $idType)
      {
        $selected = 'selected';
      }

      $html .= '<option value="'.$list['id'].'" '.$selected.'>'.$list['name'].'</option>';
    }
    $listReturn['type'] = $html;

    return $listReturn;
  }

  function GenerateInvoice(){
    if(isset($_REQUEST['beanid']) && !empty($_REQUEST['beanid'])){
      $service = new services();

      $retorno = $service->GenerateInvoice($_REQUEST['beanid']);
    }else{
      $GLOBALS['log']->Log('ERROR',
        'No se ha especificado ID de Bean.');
      die();
    }

    echo json_encode($retorno);
  }
}
?>
