<?php
class CR_vehicles {
  function __construct() {
    if(file_exists('core/models/model.vehicles.php')) {
      include 'core/models/model.vehicles.php';
    } else {
      $GLOBALS['log']->Log('ERROR',
        'Fichero "model.vehicles.php" no encontrado.');
      die();
    }
  }

  function Show(){
    $GLOBALS['smarty']->assign('dictionary', $GLOBALS['dictionary']);
    $GLOBALS['smarty']->assign('beans', $this->getBeanList());
    $GLOBALS['smarty']->display('views/' . $GLOBALS['config']['theme']
      . '/tpl/vehicle.list.tpl');
  }

  function ShowEdit(){
    if(isset($_REQUEST['beanid']) && !empty($_REQUEST['beanid'])){
      $bean = $this->getBean();

      $GLOBALS['smarty']->assign('bean', $bean);
    }

    $lists = $this->getHTMLLists($bean['id_customer']);

    $GLOBALS['smarty']->assign('dictionary', $GLOBALS['dictionary']);
    $GLOBALS['smarty']->assign('customerHTMLlist', $lists['customers']);

    $GLOBALS['smarty']->display('views/' . $GLOBALS['config']['theme']
      . '/tpl/vehicle.edit.tpl');
  }

  function ShowDetail($id = ''){
    $bean = $this->getBean($id);
    $CustomerBean = $this->getCustomerBean($bean['id_customer']);
    $ListBeans = $this->getRelatedBeans($id);


    $GLOBALS['smarty']->assign('dictionary', $GLOBALS['dictionary']);
    $GLOBALS['smarty']->assign('bean', $bean);
    $GLOBALS['smarty']->assign('customer', $CustomerBean);
    $GLOBALS['smarty']->assign('services', $ListBeans['services']);
    $GLOBALS['smarty']->display('views/' . $GLOBALS['config']['theme']
      . '/tpl/vehicle.detail.tpl');
  }

  function newBean(){
    $customer = new vehicles();

    $id = $customer->newBean($_POST);

    $this->ShowDetail($id);
  }

  function getBean($id = ''){
    $customer = new vehicles();

    if(isset($_REQUEST['beanid']) && !empty($_REQUEST['beanid'])){
      $retorno = $customer->getBean($_REQUEST['beanid']);
    } else {
      $retorno = $customer->getBean($id);
    }

    return $retorno;
  }

  function getBeanList(){
    $vehicle = new vehicles();

    $retorno = $vehicle->getBeanList();

    return $retorno;
  }

  function deleteBean(){
    if(isset($_REQUEST['beanid']) && !empty($_REQUEST['beanid'])){
      $vehicle = new vehicles();

      $retorno = $vehicle->deleteBean($_REQUEST['beanid']);
    }else{
      $GLOBALS['log']->Log('ERROR',
        'No se ha especificado ID de Bean para ser eliminado.');
      die();
    }

    echo json_encode($retorno);
  }

  function getCustomerBean($id){
    if(file_exists('core/models/model.customers.php')) {
      include 'core/models/model.customers.php';
    } else {
      $GLOBALS['log']->Log('ERROR',
        'Fichero "model.customers.php" no encontrado.');
      die();
    }

    $customers  = new customers();

    if(isset($_REQUEST['id_customer']) && !empty($_REQUEST['id_customer'])){
      $CustomerBean = $customers->getBean($_REQUEST['beanid']);
    } else {
      $CustomerBean = $customers->getBean($id);
    }

    return $CustomerBean;
  }

  function getHTMLLists($id){
    if(file_exists('core/models/model.customers.php')) {
      include 'core/models/model.customers.php';
    } else {
      $GLOBALS['log']->Log('ERROR',
        'Fichero "model.customers.php" no encontrado.');
      die();
    }

    $customers = new customers();
    $customersList = $customers->getBeanList();

    $html = '<option value=""></option>';

    foreach($customersList as $list){
      $selected = '';

      if($list['id'] == $id)
      {
        $selected = 'selected';
      }

      $html .= '<option value="'.$list['id'].'" '.$selected.'>'.$list['name'].'</option>';
    }

    return array('customers' => $html);
  }

  function getRelatedBeans($id = ''){
    if(file_exists('core/models/model.services.php')) {
      include 'core/models/model.services.php';
    } else {
      $GLOBALS['log']->Log('ERROR',
        'Fichero "model.services.php" no encontrado.');
      die();
    }

    $services  = new services();

    if(isset($_REQUEST['beanid']) && !empty($_REQUEST['beanid'])){
      $servicesList = $services->getBeanList('id_vehicle = "'
        . $_REQUEST['beanid'] . '"');
    } else {
      $servicesList = $services->getBeanList('id_vehicle = "'
        . $id . '"');
    }

    return array(
      'services' => $servicesList
    );
  }
}
?>
