<!-- Header -->
<header class="w3-container"
  style="padding-top: 22px; width: 90%; margin: 0 auto;">
  <h5><b><i class="fa fa-dashboard"></i> Detalle de Cliente</b></h5>
  <p>
    <button class="w3-button w3-blue"
      onclick="navigate('customers', 'ShowEdit', '{$bean.id}');">
      Editar
    </button>
    <button class="w3-button w3-red"
      onclick="deleteBean('customers', '{$bean.id}', '', true);">Eliminar</button>
  </p>
</header>

<!-- Content -->
<div class="w3-card-2" style="width: 90%; margin: 0 auto;">
  <div class="w3-panel w3-half w3-rightbar">
    <div class="w3-row-padding">
      <div class="w3-half">
        <label><b><u>Nombre</u></b></label>
        <div style="padding-left: 6px;">{$bean.first_name}</div>
      </div>
      <div class="w3-half">
        <label><b><u>Apellidos</u></b></label>
        <div style="padding-left: 6px;">{$bean.last_name}</div>
      </div>
      <br>
      <div class="w3-half">
        <label><b><u>Fecha de Nacimiento</u></b></label>
        <div style="padding-left: 6px;">{$bean.birthdate}</div>
      </div>
      <div class="w3-half">
        <label><b><u>DNI</u></b></label>
        <div style="padding-left: 6px;">{$bean.id_card}</div>
      </div>
      <br>
      <div class="w3-half">
        <label><b><u>Teléfono</u></b></label>
        <div style="padding-left: 6px;">{$bean.phone_home}</div>
      </div>
      <div class="w3-half">
        <label><b><u>Móvil</u></b></label>
        <div style="padding-left: 6px;">{$bean.phone_mobile}</div>
      </div>
      <br>
      <div class="w3-half">
        <label><b><u>Email</u></b></label>
        <div style="padding-left: 6px;">{$bean.email_address}</div>
      </div>
      <br>
      <div class="w3-twothird">
        <label><b><u>Descripción</u></b></label>
        <div style="padding-left: 6px;">{$bean.description}</div>
      </div>
    </div>
  </div>

  <div class="w3-panel w3-half">
    <div class="w3-row-padding">
      <div class="w3-twothird">
        <label><b><u>Dirección</u></b></label>
        <div style="padding-left: 6px;">{$bean.address_street}</div>
      </div>
      <div class="w3-third">
        <label><b><u>Código Postal</u></b></label>
        <div style="padding-left: 6px;">{$bean.address_postalcode}</div>
      </div>
      <br>
      <div class="w3-half">
        <label><b><u>Ciudad</u></b></label>
        <div style="padding-left: 6px;">{$bean.address_city}</div>
      </div>
      <div class="w3-half">
        <label><b><u>Provincia</u></b></label>
        <div style="padding-left: 6px;">{$bean.address_state}</div>
      </div>
      <br>
      <div class="w3-half">
        <label><b><u>País</u></b></label>
        <div style="padding-left: 6px;">{$bean.address_country}</div>
      </div>
    </div>
  </div>

  <div class="w3-panel">
    <div class="w3-center">
      <div class="w3-bar w3-margin-top w3-margin-bottom">
      </div>
    </div>
  </div>
</div>

<!-- Relación Vehículos -->
<div class="w3-card-2" style="width: 90%; margin: 0 auto;">
  <table class="w3-table w3-bordered">
    <tr>
      <td colspan="7"><h4>Vehículos</h4></td>
    </tr>
    <tr>
      <th style="width: 15%;">Marca</th>
      <th style="width: 15%;">Modelo</th>
      <th style="width: 15%;">Color</th>
      <th style="width: 15%;">Matrícula</th>
      <th style="width: 34%;">Número de Bastidor</th>
      <th style="width: 3%;"> </th>
      <th style="width: 3%;"> </th>
    </tr>
    {foreach from=$vehicles item=vehicle}
      <tr id="vehicle{$vehicle@index}" class="w3-hover-opacity w3-hover-blue">
        <td onclick="navigate('vehicles', 'ShowDetail', '{$vehicle.id}');">{$vehicle.vehicle_brand}</td>
        <td onclick="navigate('vehicles', 'ShowDetail', '{$vehicle.id}');">{$vehicle.vehicle_model}</td>
        <td onclick="navigate('vehicles', 'ShowDetail', '{$vehicle.id}');">{$vehicle.vehicle_color}</td>
        <td onclick="navigate('vehicles', 'ShowDetail', '{$vehicle.id}');">{$vehicle.vehicle_number}</td>
        <td onclick="navigate('vehicles', 'ShowDetail', '{$vehicle.id}');">{$vehicle.chassis_number}</td>
        <td>
          <a onclick="navigate('vehicles', 'ShowEdit', '{$vehicle.id}');"
          class="w3-bar-item w3-button w3-circle w3-green">
            <i class="fa fa-edit"></i>
          </a>
        </td>
        <td>
          <a onclick="deleteBean('vehicles', '{$vehicle.id}', 'vehicle{$vehicle@index}');" class="w3-bar-item w3-button w3-circle w3-red">
            <i class="fa fa-trash"></i>
          </a>
        </td>
      </tr>
      {/foreach}
  </table>
</div>

<hr>

<!-- Relación Citas -->
<div class="w3-card-2" style="width: 90%; margin: 0 auto;">
  <table class="w3-table w3-bordered">
    <tr>
      <td colspan="7"><h4>Citas</h4></td>
    </tr>
    <tr>
      <th style="width: 47%;">Nombre</th>
      <th style="width: 47%;">Fecha Programada</th>
      <th style="width: 3%;"> </th>
      <th style="width: 3%;"> </th>
    </tr>
    {foreach from=$dates item=date}
      <tr id="date{$date@index}" class="w3-hover-opacity w3-hover-blue">
        <td onclick="navigate('dates', 'ShowDetail', '{$date.id}');">{$date.name}</td>
        <td onclick="navigate('dates', 'ShowDetail', '{$date.id}');">{$date.scheduled_date}</td>
        <td><a onclick="navigate('dates', 'ShowEdit', '{$date.id}');" class="w3-bar-item w3-button w3-circle w3-green"><i class="fa fa-edit"></i></a></td>
        <td><a onclick="deleteBean('dates', '{$date.id}', 'date{$date@index}');" class="w3-bar-item w3-button w3-circle w3-red"><i class="fa fa-trash"></i></a></td>
      </tr>
    {/foreach}
  </table>
</div>

<hr>

<!-- Relación Recordatorios -->
<div class="w3-card-2" style="width: 90%; margin: 0 auto;">
  <table class="w3-table w3-bordered">
    <tr>
      <td colspan="7"><h4>Recordatorios</h4></td>
    </tr>
    <tr>
      <th style="width: 10%;">Enviado</th>
      <th style="width: 42%;">Nombre</th>
      <th style="width: 42%;">Fecha Programada</th>
      <th style="width: 3%;"> </th>
      <th style="width: 3%;"> </th>
    </tr>
    {foreach from=$reminders item=reminder}
      <tr id="reminder{$reminder@index}" class="w3-hover-opacity w3-hover-blue">
        <td onclick="navigate('reminders', 'ShowDetail', '{$reminder.id}');">ENVIADO</td>
        <td onclick="navigate('reminders', 'ShowDetail', '{$reminder.id}');">{$reminder.name}</td>
        <td onclick="navigate('reminders', 'ShowDetail', '{$reminder.id}');">{$reminder.scheduled_date}</td>
        <td><a onclick="navigate('reminders', 'ShowEdit', '{$reminder.id}');" class="w3-bar-item w3-button w3-circle w3-green"><i class="fa fa-edit"></i></a></td>
        <td><a onclick="deleteBean('reminders', '{$reminder.id}', 'reminder{$reminder@index}');" class="w3-bar-item w3-button w3-circle w3-red"><i class="fa fa-trash"></i></a></td>
      </tr>
    {/foreach}
  </table>
</div>

<hr>

<!-- Relación Servicios -->
<div class="w3-card-2" style="width: 90%; margin: 0 auto;">
  <table class="w3-table w3-bordered">
    <tr>
      <td colspan="7"><h4>Servicios</h4></td>
    </tr>
    <tr>
      <th style="width: 14%;">Estado</th>
      <th style="width: 20%;">Nombre</th>
      <th style="width: 20%;">Tipo</th>
      <th style="width: 20%;">Fecha de Entrada</th>
      <th style="width: 20%;">Fecha de Finalización</th>
      <th style="width: 3%;"> </th>
      <th style="width: 3%;"> </th>
    </tr>
    {foreach from=$services item=service}
    <tr id="service{$service@index}" class="w3-hover-opacity w3-hover-blue">
      <td>{$service.status}</td>
      <td><a onclick="navigate('services', 'ShowDetail', '{$service.id}');">{$service.name}</a></td>
      <td>{$service.type}</td>
      <td>{$service.entry_date}</td>
      <td>{$service.departure_date}</td>
      <td>
        <a onclick="navigate('services', 'ShowEdit', '{$service.id}');" class="w3-bar-item w3-button w3-circle w3-green"><i class="fa fa-edit"></i></a>
      </td>
      <td>
        <a onclick="deleteBean('services', '{$service.id}', 'service{$service@index}');" class="w3-bar-item w3-button w3-circle w3-red"><i class="fa fa-trash"></i></a>
      </td>
    </tr>
    {/foreach}
  </table>
</div>

<hr>

<!-- Relación Presupuestos -->
<div class="w3-card-2" style="width: 90%; margin: 0 auto;">
  <table class="w3-table w3-bordered">
    <tr>
      <td colspan="7"><h4>Presupuestos</h4></td>
    </tr>
    <tr>
      <th style="width: 22%;">Nombre</th>
      <th style="width: 22%;">Total Sin IVA</th>
      <th style="width: 22%;">IVA</th>
      <th style="width: 22%;">Total</th>
      <th style="width: 3%;"> </th>
      <th style="width: 3%;"> </th>
    </tr>
    {foreach from=$quotes item=quote}
      <tr id="quote{$quote@index}" class="w3-hover-opacity w3-hover-blue">
        <td onclick="navigate('quotes', 'ShowDetail', '{$quote.id}');">{$quote.name}</td>
        <td onclick="navigate('quotes', 'ShowDetail', '{$quote.id}');">{$quote.total}€</td>
        <td onclick="navigate('quotes', 'ShowDetail', '{$quote.id}');">{$quote.tax}</td>
        <td onclick="navigate('quotes', 'ShowDetail', '{$quote.id}');">{$quote.grand_total}€</td>
        <td><a onclick="navigate('quotes', 'ShowEdit', '{$quote.id}');" class="w3-bar-item w3-button w3-circle w3-green"><i class="fa fa-edit"></i></a></td>
        <td><a onclick="deleteBean('quotes', '{$quote.id}', 'quote{$quote@index}');" class="w3-bar-item w3-button w3-circle w3-red"><i class="fa fa-trash"></i></a></td>
      </tr>
    {/foreach}
  </table>
</div>

<hr>

<!-- Footer
<footer class="w3-container w3-padding-16 w3-light-grey">
</footer>
-->
