<!DOCTYPE html>
<html>
<head>
  <title>iMechanic</title>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="stylesheet" href="views/default/css/w3.css">
  <link rel="stylesheet" href="views/default/css/toastmessage.css">
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">

  <script src="views/default/js/jquery.js"></script>
  <script src="views/default/js/toastmessage.js"></script>
</head>
<body class="w3-light-grey">

<!-- Top container -->
<div class="w3-bar w3-top w3-black w3-large" style="z-index:4">
  <button class="w3-bar-item w3-button w3-hide-large w3-hover-none w3-hover-text-light-grey" onclick="w3_open();"><i class="fa fa-bars"></i>  Menu</button>
  <span class="w3-bar-item w3-right">iMechanic</span>
</div>

<!-- Sidebar/menu -->
<nav class="w3-sidebar w3-collapse w3-white w3-animate-left" style="z-index:3;width:300px;" id="mySidebar"><br>
  <div class="w3-container w3-row">
    <div class="w3-col s4">
      <img src="views/{$theme}/image/users/{$id}.jpg" class="w3-circle w3-margin-right" style="width:75px">
    </div>
    <div class="w3-col s8 w3-bar">
      <span>{$dictionary['LBL_WELCOME']}<strong>{$first_name}</strong></span><br>
      <a href="#" class="w3-bar-item w3-button"><i class="fa fa-calendar"></i></a>
      {if $title eq "Administrador"}
        <a onclick="navigate('users', 'ShowAdmin');" class="w3-bar-item w3-button"><i class="fa fa-gear"></i></a>
      {/if}
      <a href="index.php?page=users&action=logout" class="w3-bar-item w3-button"><i class="fa fa-power-off"></i></a>
    </div>
  </div>
  <hr>
  <div class="w3-container">
    <h5>Menú Principal</h5>
  </div>
  <div class="w3-bar-block">
    <a href="#" class="w3-bar-item w3-button w3-padding-16 w3-hide-large w3-dark-grey w3-hover-black" onclick="w3_close()" title="close menu">
		<i class="fa fa-remove fa-fw"></i>  Cerrar Menu
	</a>
    <a class="w3-bar-item w3-button w3-padding w3-blue" href="index.php"><b>Resumen</b></a>
    <a class="w3-bar-item w3-button w3-padding boton_menu" id="boton_customers" onclick="navigate('customers');"><b>Clientes</b></a>
    <a class="w3-bar-item w3-button w3-padding boton_menu" id="boton_vehicles" onclick="navigate('vehicles');"><b>Vehiculos</b></a>
    <a class="w3-bar-item w3-button w3-padding boton_menu" id="boton_quotes" onclick="navigate('quotes');"><b>Presupuestos</b></a>
    <a class="w3-bar-item w3-button w3-padding boton_menu" id="boton_dates" onclick="navigate('dates');"><b>Citas</b></a>
    <a class="w3-bar-item w3-button w3-padding boton_menu" id="boton_services" onclick="navigate('services');"><b>Servicios</b></a>
    <a class="w3-bar-item w3-button w3-padding boton_menu" id="boton_invoices" onclick="navigate('invoices');"><b>Facturas</b></a>
    <a class="w3-bar-item w3-button w3-padding boton_menu" id="boton_reminders" onclick="navigate('reminders');"><b>Recordatorios</b></a>
  </div>
</nav>

<!-- Overlay effect when opening sidebar on small screens -->
<div class="w3-overlay w3-hide-large w3-animate-opacity" onclick="w3_close()" style="cursor:pointer" title="close side menu" id="myOverlay"></div>

<!-- !PAGE CONTENT! -->
<div id="content" class="w3-main" style="margin-left:300px;margin-top:43px;">

  <!-- Header -->
  <header class="w3-container" style="padding-top:22px">
    <h5><b><i class="fa fa-dashboard"></i> Resumen</b></h5>
  </header>

  <div class="w3-row-padding w3-margin-bottom">
    <div class="w3-third">
      <div class="w3-container w3-red w3-padding-16">
        <div class="w3-left"><i class="fa fa-eye w3-xxxlarge"></i></div>
        <h4 class="w3-center"> Próximas Citas</h4>
      </div>
      {foreach from=$dashletDates item=date}
      <div class="w3-container w3-border-bottom w3-hover-opacity w3-hover-blue" onclick="navigate('dates', 'ShowDetail', '{$date.id}')">
        <h4><b>{$date.name_customer}</b></h4>
        <div>{$date.name_date}</div>
        <div class="w3-right w3-margin-bottom">{$date.date}</div>
      </div>
      {/foreach}
    </div>
    <div class="w3-third">
      <div class="w3-container w3-blue w3-padding-16">
        <div class="w3-left"><i class="fa fa-eye w3-xxxlarge"></i></div>
        <h4 class="w3-center"> Trabajos en Curso</h4>
      </div>
      {foreach from=$dashletServices item=service}
      <div class="w3-container w3-border-bottom w3-hover-opacity w3-hover-blue" onclick="navigate('services', 'ShowDetail', '{$service.id}')">
        <h4><b>{$service.name_customer}</b></h4>
        <div class="w3-center">{$service.name_service}</div>
      </div>
      {/foreach}
    </div>
    <div class="w3-third">
      <div class="w3-container w3-teal w3-padding-16">
        <div class="w3-left"><i class="fa fa-share-alt w3-xxxlarge"></i></div>
        <h4 class="w3-center"> Recordatorios</h4>
      </div>
      {foreach from=$dashletReminders item=reminder}
      <div class="w3-container w3-border-bottom w3-hover-opacity w3-hover-blue" onclick="navigate('reminders', 'ShowDetail', '{$reminder.id}')">
        <h4><b>{$reminder.name_customer}</b></h4>
        <div class="w3-left w3-half">{$reminder.name_reminder}</div>
        <div class="w3-right w3-half w3-margin-bottom">{$reminder.name_date}</div>
      </div>
      {/foreach}
    </div>
  </div>
  <hr>
  <div class="w3-container">
    <h5>Estadísticas Generales</h5>
    <p>Clientes Nuevos</p>
    <div class="w3-grey">
      <div class="w3-container w3-center w3-padding w3-green" style="width:100%">+{$dashletCustomers}%</div>
    </div>

    <p>Trabajos Finalizados</p>
    <div class="w3-grey">
      <div class="w3-container w3-center w3-padding w3-orange" style="width:{$dashletServicesFinised}%">{$dashletServicesFinised}%</div>
    </div>
  </div>

  <hr>

  <div class="w3-container">
    <h5>Usuarios Recientes</h5>
    <ul class="w3-ul w3-card-4 w3-white">
      <li class="w3-padding-16">
        <img src="views/{$theme}/image/users/1.jpg" class="w3-left w3-circle w3-margin-right" style="width:35px">
        <span class="w3-xlarge">David Molina</span><br>
      </li>
      <li class="w3-padding-16">
        <img src="views/{$theme}/image/users/1.jpg" class="w3-left w3-circle w3-margin-right" style="width:35px">
        <span class="w3-xlarge">Juan Serrano</span><br>
      </li>
      <li class="w3-padding-16">
        <img src="views/{$theme}/image/users/1.jpg" class="w3-left w3-circle w3-margin-right" style="width:35px">
        <span class="w3-xlarge">Maria Fuster</span><br>
      </li>
    </ul>
  </div>

  <hr>

  <!-- Toast messages -->
  <div class="toast-container toast-position-top-right"></div>

  <!-- Footer -->
  <footer class="w3-container w3-padding-16 w3-light-grey">
    <p>Desarrollado por David Molina</a></p>
  </footer>

  <!-- End page content -->
</div>

<script>
// Get the Sidebar
var mySidebar = document.getElementById("mySidebar");

// Get the DIV with overlay effect
var overlayBg = document.getElementById("myOverlay");

// Toggle between showing and hiding the sidebar, and add overlay effect
function w3_open() {
    if (mySidebar.style.display === 'block') {
        mySidebar.style.display = 'none';
        overlayBg.style.display = "none";
    } else {
        mySidebar.style.display = 'block';
        overlayBg.style.display = "block";
    }
}

// Close the sidebar with the close button
function w3_close() {
    mySidebar.style.display = "none";
    overlayBg.style.display = "none";
}

function navigate(page, action = "", beanid = "") {
  $.ajax({
    url: "{$server}?page=" + page + "&action=" + action + "&beanid=" + beanid,
  })
  .done(function(msg) {
    $("#content").html(msg);
  });

  $(".boton_menu").removeClass('w3-grey');
  $("#boton_"+page).addClass('w3-grey');
}

function deleteBean(name_module, beanid, iteration = '', detailview = false) {
  $redirect = false;

  $.ajax({
    url: "{$server}?page="+name_module+"&action=deleteBean&beanid="+beanid
  })
  .done(function(msg) {
    var msg = JSON.parse(msg);

    if(msg.log == 1){
      $().toastmessage('showSuccessToast', msg.message);
      if(iteration.length){
        $("#"+iteration).fadeOut();
      }

      if(detailview){
        navigate(name_module);
      }
    }else{
      $().toastmessage('showErrorToast', msg.message);
    }
  });
}
</script>

</body>
</html>
